Index: palm/trunk/SOURCE/init_advec.f90
===================================================================
--- palm/trunk/SOURCE/init_advec.f90	(revision 997)
+++ palm/trunk/SOURCE/init_advec.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! all actions concerning upstream-spline-method removed
 !
 ! Former revisions:
@@ -80,157 +80,3 @@
     ENDIF
 
-    IF ( momentum_advec == 'ups-scheme' .OR. scalar_advec  == 'ups-scheme' )  &
-    THEN
-
-!
-!--    Provide the constant parameters for the Upstream-Spline advection scheme.
-!--    In x- und y-direction the Sherman-Morrison formula is applied
-!--    (cf. Press et al, 1986 (Numerical Recipes)).
-!
-!--    Allocate nonlocal arrays
-       ALLOCATE( spl_z_x(0:nx), spl_z_y(0:ny), spl_tri_x(5,0:nx), &
-                 spl_tri_y(5,0:ny), spl_tri_zu(5,nzb:nzt+1),      &
-                 spl_tri_zw(5,nzb:nzt+1) )
-
-!
-!--    Provide diagonal elements of the tridiagonal matrices for all 
-!--    directions
-       spl_tri_x(1,:)  = 2.0
-       spl_tri_y(1,:)  = 2.0
-       spl_tri_zu(1,:) = 2.0
-       spl_tri_zw(1,:) = 2.0
-
-!
-!--    Elements of the cyclic tridiagonal matrix
-!--    (same for all horizontal directions)
-       spl_alpha = 0.5
-       spl_beta  = 0.5
-
-!
-!--    Sub- and superdiagonal elements, x-direction
-       spl_tri_x(2,0:nx) = 0.5
-       spl_tri_x(3,0:nx) = 0.5
-
-!
-!--    mMdify the diagonal elements (Sherman-Morrison)
-       spl_gamma_x    = -spl_tri_x(1,0)
-       spl_tri_x(1,0)  = spl_tri_x(1,0) - spl_gamma_x
-       spl_tri_x(1,nx) = spl_tri_x(1,nx) - spl_alpha * spl_beta / spl_gamma_x
-
-!
-!--    Split the tridiagonal matrix for Thomas algorithm
-       spl_tri_x(4,0) = spl_tri_x(1,0)
-       DO  i = 1, nx
-          spl_tri_x(5,i) = spl_tri_x(2,i) / spl_tri_x(4,i-1)
-          spl_tri_x(4,i) = spl_tri_x(1,i) - spl_tri_x(5,i) * spl_tri_x(3,i-1)
-       ENDDO
-
-!
-!--    Allocate arrays required locally
-       ALLOCATE( temp(0:nx), spl_u(0:nx) )
-
-!
-!--    Provide "corrective vector", x-direction
-       spl_u(0)      = spl_gamma_x
-       spl_u(1:nx-1) = 0.0
-       spl_u(nx)     = spl_alpha
-
-!
-!--    Solve the system of equations for the corrective vector
-!--    (Sherman-Morrison)
-       temp(0) = spl_u(0)
-       DO  i = 1, nx
-          temp(i) = spl_u(i) - spl_tri_x(5,i) * temp(i-1)
-       ENDDO
-       spl_z_x(nx) = temp(nx) / spl_tri_x(4,nx)
-       DO  i = nx-1, 0, -1
-          spl_z_x(i) = ( temp(i) - spl_tri_x(3,i) * spl_z_x(i+1) ) / &
-                       spl_tri_x(4,i)
-       ENDDO
-
-!
-!--    Deallocate local arrays, for they are allocated in a different way for
-!--    operations in y-direction
-       DEALLOCATE( temp, spl_u )    
-    
-!
-!--    Provide sub- and superdiagonal elements, y-direction
-       spl_tri_y(2,0:ny) = 0.5
-       spl_tri_y(3,0:ny) = 0.5
-
-!
-!--    Modify the diagonal elements (Sherman-Morrison)
-       spl_gamma_y    = -spl_tri_y(1,0) 
-       spl_tri_y(1,0)  = spl_tri_y(1,0) - spl_gamma_y
-       spl_tri_y(1,ny) = spl_tri_y(1,ny) - spl_alpha * spl_beta / spl_gamma_y
-
-!
-!--    Split the tridiagonal matrix for Thomas algorithm
-       spl_tri_y(4,0) = spl_tri_y(1,0)
-       DO  j = 1, ny
-          spl_tri_y(5,j) = spl_tri_y(2,j) / spl_tri_y(4,j-1)
-          spl_tri_y(4,j) = spl_tri_y(1,j) - spl_tri_y(5,j) * spl_tri_y(3,j-1)
-       ENDDO
-
-!
-!--    Allocate arrays required locally
-       ALLOCATE( temp(0:ny), spl_u(0:ny) )
-
-!
-!--    Provide "corrective vector", y-direction
-       spl_u(0)      = spl_gamma_y
-       spl_u(1:ny-1) = 0.0
-       spl_u(ny)     = spl_alpha
-    
-!
-!--    Solve the system of equations for the corrective vector
-!--    (Sherman-Morrison)
-       temp = 0.0
-       spl_z_y = 0.0
-       temp(0) = spl_u(0)
-       DO  j = 1, ny
-          temp(j) = spl_u(j) - spl_tri_y(5,j) * temp(j-1)
-       ENDDO
-       spl_z_y(ny) = temp(ny) / spl_tri_y(4,ny)
-       DO  j = ny-1, 0, -1
-          spl_z_y(j) = ( temp(j) - spl_tri_y(3,j) * spl_z_y(j+1) ) / &
-                       spl_tri_y(4,j)
-       ENDDO
-
-!
-!--    deallocate local arrays, for they are no longer required
-       DEALLOCATE( temp, spl_u )
-
-!
-!--    provide sub- and superdiagonal elements, z-direction
-       spl_tri_zu(2,nzb)   = 0.0
-       spl_tri_zu(2,nzt+1) = 1.0
-       spl_tri_zw(2,nzb)   = 0.0
-       spl_tri_zw(2,nzt+1) = 1.0
-
-       spl_tri_zu(3,nzb)   = 1.0
-       spl_tri_zu(3,nzt+1) = 0.0
-       spl_tri_zw(3,nzb)   = 1.0
-       spl_tri_zw(3,nzt+1) = 0.0
-
-       DO  k = nzb+1, nzt
-          spl_tri_zu(2,k) = dzu(k) / ( dzu(k) + dzu(k+1) )
-          spl_tri_zw(2,k) = dzw(k) / ( dzw(k) + dzw(k+1) )
-          spl_tri_zu(3,k) = 1.0 - spl_tri_zu(2,k)
-          spl_tri_zw(3,k) = 1.0 - spl_tri_zw(2,k)
-       ENDDO
-    
-       spl_tri_zu(4,nzb) = spl_tri_zu(1,nzb)
-       spl_tri_zw(4,nzb) = spl_tri_zw(1,nzb)
-       DO  k = nzb+1, nzt+1
-          spl_tri_zu(5,k) = spl_tri_zu(2,k) / spl_tri_zu(4,k-1)
-          spl_tri_zw(5,k) = spl_tri_zw(2,k) / spl_tri_zw(4,k-1)
-          spl_tri_zu(4,k) = spl_tri_zu(1,k) - spl_tri_zu(5,k) * &
-                            spl_tri_zu(3,k-1)
-          spl_tri_zw(4,k) = spl_tri_zw(1,k) - spl_tri_zw(5,k) * &
-                            spl_tri_zw(3,k-1)
-       ENDDO
-
-    ENDIF
-
  END SUBROUTINE init_advec
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 997)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning upstream-spline-method removed
 !
 ! Former revisions:
@@ -384,16 +384,7 @@
 !
 !-- 1. transposition  z --> x
-!-- This transposition is not neccessary in case of a 1d-decomposition along x,
-!-- except that the uptream-spline method is switched on
-    IF ( pdims(2) /= 1  .OR.  momentum_advec == 'ups-scheme'  .OR. &
-         scalar_advec == 'ups-scheme' )  THEN
-
-       IF ( pdims(2) == 1  .AND. ( momentum_advec == 'ups-scheme'  .OR. &
-            scalar_advec == 'ups-scheme' ) )  THEN
-          message_string = '1d-decomposition along x ' // &
-                           'chosen but nz restrictions may occur' // &
-                           '& since ups-scheme is activated'
-          CALL message( 'init_pegrid', 'PA0229', 0, 1, 0, 6, 0 )
-       ENDIF
+!-- This transposition is not neccessary in case of a 1d-decomposition along x
+    IF ( pdims(2) /= 1 )  THEN
+
        nys_x  = nys
        nyn_xa = nyna
@@ -448,6 +439,5 @@
 !-- 3. transposition  y --> z  (ELSE:  x --> y  in case of 1D-decomposition
 !-- along x)
-    IF ( pdims(2) /= 1  .OR.  momentum_advec == 'ups-scheme'  .OR. &
-         scalar_advec == 'ups-scheme' )  THEN
+    IF ( pdims(2) /= 1 )  THEN
 !
 !--    y --> z
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 997)
+++ palm/trunk/SOURCE/modules.f90	(revision 1001)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-!
+! -asselin_filter_factor, cut_spline_overshoot, dt_changed, last_dt_change,
+! last_dt_change_1d, long_filter_factor, overshoot_limit_*, ups_limit_*
+! several pointer/target arrays converted to normal ones
 !
 ! Former revisions:
@@ -343,16 +345,7 @@
           diss_s_v, diss_s_w, dzu_mg, dzw_mg, flux_s_e, flux_s_pt, flux_s_q,   &
           flux_s_sa, flux_s_u, flux_s_v, flux_s_w, f1_mg, f2_mg, f3_mg,        &
-          mean_inflow_profiles, pt_slope_ref, qs, qswst_remote, total_2d_a,    &
-          total_2d_o, ts, us, z0, z0h
-
-    REAL, DIMENSION(:,:), ALLOCATABLE, TARGET ::                               &
-          qsws_1, qsws_2, qswst_1, qswst_2, rif_1, rif_2, saswsb_1, saswst_1,  &
-          shf_1, shf_2, tswst_1, tswst_2, usws_1, usws_2, uswst_1, uswst_2,    &
-          vsws_1, vsws_2, vswst_1, vswst_2
-
-    REAL, DIMENSION(:,:), POINTER ::                                           &
-          qsws, qsws_m, qswst, qswst_m, rif, rif_m, saswsb, saswst, shf,       &
-          shf_m, tswst, tswst_m, usws, uswst, usws_m, uswst_m, vsws, vswst,    &
-          vsws_m, vswst_m
+          mean_inflow_profiles, pt_slope_ref, qs, qsws, qswst, qswst_remote,   &
+          rif, saswsb, saswst, shf, total_2d_a, total_2d_o, ts, tswst, us,     &
+          usws, uswst, vsws, vswst, z0, z0h
 
     REAL, DIMENSION(:,:,:), ALLOCATABLE ::                                     &
@@ -360,20 +353,16 @@
           diss_l_pt, diss_l_q, diss_l_sa, diss_l_u, diss_l_v, diss_l_w,        &
           flux_l_e, flux_l_pt, flux_l_q, flux_l_sa, flux_l_u, flux_l_v,        &
-          flux_l_w, lad_s, lad_u, lad_v, lad_w, lai, l_wall, p_loc, sec, sls,  &
-          tend, u_m_l, u_m_n, u_m_r, u_m_s, v_m_l, v_m_n, v_m_r, v_m_s, w_m_l, &
-          w_m_n, w_m_r, w_m_s
+          flux_l_w, kh, km, lad_s, lad_u, lad_v, lad_w, lai, l_wall, p_loc,    &
+          sec, sls, tend, u_m_l, u_m_n, u_m_r, u_m_s, v_m_l, v_m_n, v_m_r,     &
+          v_m_s, w_m_l, w_m_n, w_m_r, w_m_s
 
     REAL, DIMENSION(:,:,:), ALLOCATABLE, TARGET ::                             &
-          ql_v, ql_vp
-
-    REAL, DIMENSION(:,:,:), ALLOCATABLE, TARGET ::                             &
-          e_1, e_2, e_3, kh_1, kh_2, km_1, km_2, p, prho_1, pt_1, pt_2, pt_3,  &
-          q_1, q_2, q_3, ql_1, ql_2, rho_1, sa_1, sa_2, sa_3, u_1, u_2, u_3,   &
-          v_1, v_2, v_3, vpt_1, vpt_2, w_1, w_2, w_3
+          e_1, e_2, e_3, p, prho_1, pt_1, pt_2, pt_3, q_1, q_2, q_3, ql_v,     &
+          ql_vp, ql_1, ql_2, rho_1, sa_1, sa_2, sa_3, u_1, u_2, u_3,           &
+          v_1, v_2, v_3, vpt_1, w_1, w_2, w_3
 
     REAL, DIMENSION(:,:,:), POINTER ::                                         &
-          e, e_m, e_p, kh, kh_m, km, km_m, prho, pt, pt_m, pt_p, q, q_m, q_p,  &
-          ql, ql_c, rho, sa, sa_p, te_m, tpt_m, tq_m, tsa_m, tu_m, tv_m, tw_m, &
-          u, u_m, u_p, v, v_m, v_p, vpt, vpt_m, w, w_m, w_p
+          e, e_p, prho, pt, pt_p, q, q_p, ql, ql_c, rho, sa, sa_p, te_m,       &
+          tpt_m, tq_m, tsa_m, tu_m, tv_m, tw_m, u, u_p, v, v_p, vpt, w, w_p
 
     REAL, DIMENSION(:,:,:,:), ALLOCATABLE ::  rif_wall
@@ -555,5 +544,5 @@
                 intermediate_timestep_count, intermediate_timestep_count_max, &
                 io_group = 0, io_blocks = 1, iran = -1234567, &
-                last_dt_change = 0, masks = 0, maximum_grid_level, &
+                masks = 0, maximum_grid_level, &
                 maximum_parallel_io_streams = -1, max_pr_user = 0, &
                 mgcycles = 0, mg_cycles = -1, mg_switch_to_pe0_level = 0, mid, &
@@ -605,11 +594,9 @@
                 constant_top_salinityflux = .TRUE., &
                 constant_waterflux = .TRUE., create_disturbances = .TRUE., &
-                cut_spline_overshoot = .TRUE., &
                 data_output_2d_on_each_pe = .TRUE., & 
                 dissipation_control = .FALSE., disturbance_created = .FALSE., &
                 do2d_at_begin = .FALSE., do3d_at_begin = .FALSE., &
                 do3d_compress = .FALSE., do_sum = .FALSE., &
-                dp_external = .FALSE., dp_smooth = .FALSE., &
-                dt_changed = .FALSE., dt_fixed = .FALSE., &
+                dp_external = .FALSE., dp_smooth = .FALSE., dt_fixed = .FALSE., &
                 dt_3d_reached, dt_3d_reached_l, exchange_mg = .FALSE., &
                 first_call_lpm = .TRUE., &
@@ -640,6 +627,5 @@
 
     REAL ::  advected_distance_x = 0.0, advected_distance_y = 0.0, &
-             alpha_surface = 0.0, asselin_filter_factor = 0.1, &
-             atmos_ocean_sign = 1.0, &
+             alpha_surface = 0.0, atmos_ocean_sign = 1.0, &
              averaging_interval = 0.0, averaging_interval_pr = 9999999.9, &
              averaging_interval_sp = 9999999.9, bc_pt_t_val, bc_q_t_val, &
@@ -671,13 +657,10 @@
              f = 0.0, fs = 0.0, g = 9.81, inflow_damping_height = 9999999.9, &
              inflow_damping_width = 9999999.9, kappa = 0.4, km_constant = -1.0,&
-             lad_surface = 0.0,  &
-             leaf_surface_concentration = 0.0, long_filter_factor = 0.0, &
+             lad_surface = 0.0, leaf_surface_concentration = 0.0, &
              mask_scale_x = 1.0, mask_scale_y = 1.0, mask_scale_z = 1.0, &
              maximum_cpu_time_allowed = 0.0,  &
              molecular_viscosity = 1.461E-5, &
              old_dt = 1.0E-10, omega = 7.29212E-5, omega_sor = 1.8, &
-             overshoot_limit_e = 0.0, overshoot_limit_pt = 0.0, &
-             overshoot_limit_u = 0.0, overshoot_limit_v = 0.0, &
-             overshoot_limit_w = 0.0, particle_maximum_age = 9999999.9, &
+             particle_maximum_age = 9999999.9, &
              phi = 55.0, prandtl_number = 1.0, &
              precipitation_amount_interval = 9999999.9, prho_reference, &
@@ -710,6 +693,5 @@
              top_momentumflux_v = 9999999.9, top_salinityflux = 9999999.9, &
              ug_surface = 0.0, u_bulk = 0.0, u_gtrans = 0.0, &
-             ups_limit_e = 0.0, ups_limit_pt = 0.0, ups_limit_u = 0.0, &
-             ups_limit_v = 0.0, ups_limit_w = 0.0, vg_surface = 0.0, &
+             vg_surface = 0.0, &
              v_bulk = 0.0, v_gtrans = 0.0, wall_adjustment_factor = 1.8, &
              z_max_do2d = -1.0, z0h_factor = 1.0
@@ -730,5 +712,5 @@
              skip_time_domask(max_masks) = 9999999.9, threshold(20) = 0.0, &
              time_domask(max_masks) = 0.0, &
-             tsc(10) = (/ 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 /), &
+             tsc(10) = (/ 1.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 /), &
              u_profile(100) = 9999999.9, uv_heights(100) = 9999999.9, &
              v_profile(100) = 9999999.9, &
@@ -1060,6 +1042,5 @@
 !------------------------------------------------------------------------------!
 
-    INTEGER ::  current_timestep_number_1d = 0, damp_level_ind_1d, &
-                last_dt_change_1d = 0 
+    INTEGER ::  current_timestep_number_1d = 0, damp_level_ind_1d
 
     LOGICAL ::  run_control_header_1d = .FALSE., stop_dt_1d = .FALSE. 
@@ -1069,12 +1050,11 @@
                 end_time_1d = 864000.0, old_dt_1d = 1.0E-10, &
                 qs1d, simulated_time_1d = 0.0, time_pr_1d = 0.0, &
-                time_run_control_1d = 0.0, ts1d, us1d, usws1d, usws1d_m, &
-                vsws1d, vsws1d_m, z01d, z0h1d
-
-
-    REAL, DIMENSION(:), ALLOCATABLE ::  e1d, e1d_m, e1d_p, kh1d, kh1d_m, km1d, &
-                                        km1d_m, l_black, l1d, l1d_m, rif1d,    &
-                                        te_e, te_em, te_u, te_um, te_v, te_vm, &
-                                        u1d, u1d_m, u1d_p, v1d, v1d_m, v1d_p
+                time_run_control_1d = 0.0, ts1d, us1d, usws1d, &
+                vsws1d, z01d, z0h1d
+
+
+    REAL, DIMENSION(:), ALLOCATABLE ::  e1d, e1d_p, kh1d, km1d, l_black, l1d,  &
+                                        rif1d, te_e, te_em, te_u, te_um, te_v, &
+                                        te_vm, u1d, u1d_p, v1d, v1d_p
 
     SAVE
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 997)
+++ palm/trunk/SOURCE/parin.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! -cut_spline_overshoot, long_filter_factor, overshoot_limit_*, ups_limit_*
 !
 ! Former revisions:
@@ -168,5 +168,4 @@
              collective_wait, conserve_volume_flow, conserve_volume_flow_mode, &
              coupling_start_time, cthf, curvature_solution_effects, &
-             cut_spline_overshoot, &
              cycle_mg, damp_level_1d, dissipation_1d, & !dissipation_control, &
              dp_external, dp_level_b, dp_smooth, dpdxy, drag_coefficient, &
@@ -178,11 +177,9 @@
              initializing_actions, km_constant, lad_surface, &
              lad_vertical_gradient, lad_vertical_gradient_level, &
-             leaf_surface_concentration, long_filter_factor, &
+             leaf_surface_concentration, &
              loop_optimization, masking_method, mg_cycles, &
              mg_switch_to_pe0_level, mixing_length_1d, momentum_advec, &
              netcdf_precision, neutral, ngsrb, nsor, &
              nsor_ini, nx, ny, nz, ocean, omega, omega_sor, &
-             overshoot_limit_e, overshoot_limit_pt, &
-             overshoot_limit_u, overshoot_limit_v, overshoot_limit_w, &
              passive_scalar, pch_index, phi, plant_canopy, prandtl_layer, &
              prandtl_number, precipitation, psolver, pt_damping_factor, &
@@ -204,6 +201,5 @@
              top_momentumflux_u, top_momentumflux_v, top_salinityflux, &
              turbulent_inflow, ug_surface, ug_vertical_gradient, &
-             ug_vertical_gradient_level, ups_limit_e, ups_limit_pt, &
-             ups_limit_u, ups_limit_v, ups_limit_w, use_surface_fluxes, &
+             ug_vertical_gradient_level, use_surface_fluxes, &
              use_top_fluxes, use_ug_for_galilei_tr, use_upstream_for_tke, &
              uv_heights, u_bulk, u_profile, vg_surface, vg_vertical_gradient, &
